﻿<%@ Page Language="C#" %>
<%@ Import Namespace="System.Collections" %>
<%@ Import Namespace="System.Collections.Generic" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    
    public class Download
    {
        public Download()
        {
        }
        public Download(string title,string url)
        {
            this.Title = title;
            this.URL = url;
        }
        public string Title { get; set; }
        public string URL { get; set; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        List<Download> items = new List<Download>();
        items.Add(new Download("SQL Server Backup Tool","products/Product1.aspx"));
        items.Add(new Download("Visual Studio Add-In", "products/Product2.aspx"));
        items.Add(new Download("Understanding DNA Architecture", "Paper-Topic1.aspx"));
        items.Add(new Download("In-depth XML and JSON Serialization", "Paper-Topic2.aspx"));
        items.Add(new Download("Data Access Component", "Component1-comp.aspx"));
        items.Add(new Download("Mass Mailing Component", "Component2-comp.aspx"));

        GridView1.DataSource = items;
        GridView1.DataBind();
    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="../../Scripts/jquery-1.4.3.js" type="text/javascript"></script>
    
    <script type="text/javascript">

        $(document).ready(function() {
            $("#DropDownList1").change(function() {
                switch ($("#DropDownList1").val()) {
                    case "A":
                        $("#GridView1 tr a").css("visibility", "visible");
                        $("#GridView1 tr a").css("display", "block");
                        break;
                    case "P":
                        $("#GridView1 tr a[href *= 'products/']").css("visibility", "visible").css("display", "block");
                        $("#GridView1 tr a[href |= 'Paper']").css("visibility", "hidden").css("display", "none");
                        $("#GridView1 tr a[href $= '-comp.aspx']").css("visibility", "hidden").css("display", "none");
                        break;
                    case "WP":
                        $("#GridView1 tr a[href *= 'products/']").css("visibility", "hidden").css("display", "none");
                        $("#GridView1 tr a[href |= 'Paper']").css("visibility", "visible").css("display", "block");
                        $("#GridView1 tr a[href $= '-comp.aspx']").css("visibility", "hidden").css("display", "none");
                        break;
                    case "C":
                        $("#GridView1 tr a[href *= 'products/']").css("visibility", "hidden").css("display", "none");
                        $("#GridView1 tr a[href |= 'Paper']").css("visibility", "hidden").css("display", "none");
                        $("#GridView1 tr a[href $= '-comp.aspx']").css("visibility", "visible").css("display", "block");
                        break;
                }
            }),
            $("#CheckBox1").change(function() {
                if ($("input[name='CheckBox1']").is(":checked")) {
                    $("#GridView1 a:visible").attr("target", "_blank");
                }
                else {
                    $("#GridView1 a:visible").attr("target", "_self");
                }
            })

        })    
    </script>
    
    
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <table cellpadding="5">
            <tr>
                <td>
                    <b>Show : </b> </td>
                <td>
                    <asp:DropDownList ID="DropDownList1" runat="server" 
                        onselectedindexchanged="DropDownList1_SelectedIndexChanged">
                        <asp:ListItem Value="A">All Downloads</asp:ListItem>
                        <asp:ListItem Value="P">Products</asp:ListItem>
                        <asp:ListItem Value="WP">White Papers</asp:ListItem>
                        <asp:ListItem Value="C">Components</asp:ListItem>
                    </asp:DropDownList>
                </td>
                <td>
                    <asp:CheckBox ID="CheckBox1" runat="server" Text="Open in new window" />
                </td>
            </tr>
        </table>
        <br />
    
        <asp:GridView ID="GridView1" runat="server" CellPadding="10" 
            ForeColor="#333333" AutoGenerateColumns="False">
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#E3EAEB" />
            <Columns>
                <asp:HyperLinkField DataNavigateUrlFields="URL" DataTextField="Title" 
                    HeaderText="Downloads" />
            </Columns>
            <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <EditRowStyle BackColor="#7C6F57" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
    
    </div>
    </form>
</body>
</html>
